Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Add-on no longer available as Firefox Add-On #28

Open
danmattera opened this issue Jun 12, 2019 · 22 comments

Comments

@danmattera
Copy link

commented Jun 12, 2019

Just wondering if there's any word on when/if it'll be back up?

@vladikoff

This comment has been minimized.

Copy link
Owner

commented Jun 12, 2019

Yeah it got banned for including the external netflix component. we shall see how we can bring it back

@Edszx

This comment has been minimized.

Copy link

commented Jun 12, 2019

Hey, @vladikoff, thank you very much for the update, but, were can we find the addon packaged for the time being while it's not on the mozilla repository?

@ItsNickBarry

This comment has been minimized.

Copy link
Contributor

commented Jun 13, 2019

Edit: this is not the process. See below.

You can install the extension manually. I think this is the process:

  1. Clone or download the repository
  2. Navigate to about:addons
  3. In the settings menu, choose "Install Add-on From File..."
  4. Choose the manifest.json file
@Edszx

This comment has been minimized.

Copy link

commented Jun 13, 2019

You can install the extension manually. I think this is the process:

1. Clone or download the repository

2. Navigate to `about:addons`

3. In the settings menu, choose "Install Add-on From File..."

4. Choose the `manifest.json` file

Doesn't work, Firefox says that the addon is corrupted, probably the directory structure is not correct.

@ItsNickBarry

This comment has been minimized.

Copy link
Contributor

commented Jun 13, 2019

Apparently it needs to be signed even if installed manually from a file. See here for an alternative. It might also need to be compiled with web-ext, but I'm not sure.

You could also load the addon temporarily (removed when the browser session ends) by navigating to about:debugging and choosing "Load Temporary Add-on..." (select the manifest.json file).

@przemerr

This comment has been minimized.

Copy link

commented Jun 13, 2019

about:debugging "trick" works :). Thank you.

@kulmegil

This comment has been minimized.

Copy link

commented Jun 30, 2019

Mozilla (like the Pilate guy from the bible) sure does like to wash their hands. They will chicken and remove everything that could cause them legal disturbance, but are nice enough to at least leave backdoor open.

You should look into Bypass Paywalls, that has also been removed from AMO. They host it from github exclusively and auto-updates are still supported. Ofc each .xpi needs to be signed.

@progandy

This comment has been minimized.

Copy link

commented Jul 1, 2019

For linux, you might be able to put an unsigned .xpi in /usr/share/mozilla/extensions

https://github.com/mozilla/gecko-dev/blob/master/toolkit/mozapps/extensions/internal/XPIDatabase.jsm#L361

// On UNIX platforms except OSX, an additional location for system
// add-ons exists in /usr/{lib,share}/mozilla/extensions. Add-ons
// installed there do not require signing.

@Louirj1

This comment has been minimized.

Copy link

commented Jul 1, 2019

Mozilla (like the Pilate guy from the bible) sure does like to wash their hands. They will chicken and remove everything that could cause them legal disturbance, but are nice enough to at least leave backdoor open.

You should look into Bypass Paywalls, that has also been removed from AMO. They host it from github exclusively and auto-updates are still supported. Ofc each .xpi needs to be signed.

You think you can help me install it not sure where to start

@kulmegil

This comment has been minimized.

Copy link

commented Jul 2, 2019

@Louirj1
The ball is in @vladikoff court to pick best course of action. He still have the option to provide updates off AMO.

In the meantime just install 1.8 signed version. It still works fine for me.
(If You have trouble installing just save .xpi on disk, and drag into fx window).

@Multipanda

This comment has been minimized.

Copy link

commented Jul 4, 2019

@kulmegil Thanks, if you have access to it, could you also upload 1.7? (that version should have 5.1 support)

Hopefully once vladikoff has come to a solution, and 1.9 can be installed, that version will either have an option like the chrome version, or just have 5.1 enabled by default, something I've been sorely missing.

@kulmegil

This comment has been minimized.

Copy link

commented Jul 13, 2019

@Multipanda no, from all my profile backups I could only dig v1.8

But if You really want it, I got the code and sign it myself v1.7. Keep in mind that since this version is not signed by Vlad it will install parallel to existing extension! Remove / disable the other one (or they will conflict).

edit: v1.9 - signed by me, read notice above!

@Multipanda

This comment has been minimized.

Copy link

commented Jul 15, 2019

@kulmegil Thanks I appreciate it, 5.1 still seems to work just fine, now I don't have to switch to Chrome :-)

@Javier-DarthPalpatine

This comment has been minimized.

Copy link

commented Jul 21, 2019

Yeah it got banned for including the external netflix component. we shall see how we can bring it back

Hi Vlad! @vladikoff
I have my copy of version 1.9 signed. Can I post it here?

Tks for this amazing addon!
Javier

@vladikoff

This comment has been minimized.

Copy link
Owner

commented Jul 22, 2019

@kld87

This comment has been minimized.

Copy link

commented Jul 27, 2019

@Javier-DarthPalpatine @vladikoff is the 1.9 signed posted somewhere?

@Javier-DarthPalpatine

This comment has been minimized.

Copy link

commented Jul 27, 2019

@vladikoff @kld87

Here is version 1.9 !!:
Netflix_1080p_v1.9_for_Fx.zip (unzip file to get the xpi)

Vlad, could you please upload/post any updated version (here or anywhere) even if no signed? (1)
It'd be much appreciated!

Thanks!
J

(1) It's rather easy to install unsigned addons in released Firefox versions by searching a little
  (eg. like in #28 (comment))

@mikeloeven

This comment has been minimized.

Copy link

commented Jul 29, 2019

Is it possible to convert this to a user-script format for use with tamper monkey

@ItsNickBarry Which is why I dont use the stable branch....... You want to use nightly builds or a 3rd party fork such as waterfox that lets you toggle the signature checks off in about:config

@daishishi

This comment has been minimized.

Copy link

commented Aug 4, 2019

Anyone else having trouble with the add-on manually installed? On my system i am locked on a SD quality(540p). The debugging window show the Error Message: 'Could not establish connection. Receiving end does not exist.'
Captura de tela de 2019-08-03 22-53-20
Thanks for all the work.

@Strongaloff

This comment has been minimized.

Copy link

commented Aug 4, 2019

Anyone else having trouble with the add-on manually installed? On my system i am locked on a SD quality(540p). The debugging window show the Error Message: 'Could not establish connection. Receiving end does not exist.'
Captura de tela de 2019-08-03 22-53-20
Thanks for all the work.

Also here. Using Manjaro + Firefox Dev and with the addon enabled (manually installed), the cap is set at 540p.

Tried deleting data/cache + reinstalled browser + reinstalled addon, after that it worked just one time on 1080p then switched to 540p and capped.

@GrayBoltWolf

This comment has been minimized.

Copy link

commented Aug 5, 2019

Anyone else having trouble with the add-on manually installed? On my system i am locked on a SD quality(540p). The debugging window show the Error Message: 'Could not establish connection. Receiving end does not exist.'
Captura de tela de 2019-08-03 22-53-20
Thanks for all the work.

Same here. Locked to low bitrates:
image

@daishishi

This comment has been minimized.

Copy link

commented Aug 5, 2019

Anyone else having trouble with the add-on manually installed? On my system i am locked on a SD quality(540p). The debugging window show the Error Message: 'Could not establish connection. Receiving end does not exist.'
Captura de tela de 2019-08-03 22-53-20
Thanks for all the work.

I'm using Firefox 68.0.1 (64-bits), on both Ubuntu 18.04 and Windows 8.1.
I realized that if you install the add-on it will work the first time, then if you reload the page or change the show / episode it locks on a 540p resolution on all the subsequent attempts. Uninstalling the Add-on return the resolution to 720p.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
You can’t perform that action at this time.